commit:     b9e26ea98f0320e89e4693d46fbe26562cf0f573
Author:     Hanno <hanno <AT> gentoo <DOT> org>
AuthorDate: Wed May 15 15:01:48 2019 +0000
Commit:     Hanno Boeck <hanno <AT> gentoo <DOT> org>
CommitDate: Wed May 15 15:01:48 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b9e26ea9

x11-libs/libfm-extra: Version bump.

Update EAPI to 7.
Update subslot.
See #672284.

Signed-off-by: Hanno Boeck <hanno <AT> gentoo.org>
Package-Manager: Portage-2.3.66, Repoman-2.3.12

 x11-libs/libfm-extra/Manifest                 |  1 +
 x11-libs/libfm-extra/libfm-extra-1.3.1.ebuild | 92 +++++++++++++++++++++++++++
 2 files changed, 93 insertions(+)

diff --git a/x11-libs/libfm-extra/Manifest b/x11-libs/libfm-extra/Manifest
index 7be34662612..ff3641052b8 100644
--- a/x11-libs/libfm-extra/Manifest
+++ b/x11-libs/libfm-extra/Manifest
@@ -1 +1,2 @@
 DIST libfm-1.2.5.tar.gz 1261152 BLAKE2B 
30da6771ad4ab31be675a3af2ce7c9dd04e80be9f33b25300bf386f45f9fd652654e211c312d1e283a63cdbde4f5c8e3673a36fc0075e3b1981d9f5995683057
 SHA512 
0bc7910081cadc4c8c4648f3483fb5791e9480700400ded452dd5985e7fb0d8524f2c676f0171a5cd283422a13f240f40cfe5ccc8d10dce02dd784d62250b7cc
+DIST libfm-1.3.1.tar.gz 1290374 BLAKE2B 
3df27fc6b4afd089e51cd36db0f764e9359b0c6373e0ff484aa7cd2ee99170530fb60f5757ade9263a5bdd1d6be9917debb66a19cc8e13c505431050b6f3a901
 SHA512 
82bbcb1b9c7d4543bcb075906bdc1554462b041ad936e2f0334ae478302b19808cdbfe6d0c86a039bbd72a2491f2d2ada61a324fe3933a8dde16a03d93bef2bc

diff --git a/x11-libs/libfm-extra/libfm-extra-1.3.1.ebuild 
b/x11-libs/libfm-extra/libfm-extra-1.3.1.ebuild
new file mode 100644
index 00000000000..c4dff66b802
--- /dev/null
+++ b/x11-libs/libfm-extra/libfm-extra-1.3.1.ebuild
@@ -0,0 +1,92 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit autotools xdg-utils
+
+MY_PV=${PV/_/}
+MY_PN="libfm"
+MY_P="${MY_PN}-${MY_PV}"
+DESCRIPTION="A library for file management"
+HOMEPAGE="http://pcmanfm.sourceforge.net/";
+SRC_URI="https://github.com/lxde/libfm/archive/${PV}.tar.gz -> ${MY_P}.tar.gz"
+
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~mips ~ppc ~x86 ~amd64-linux ~x86-linux"
+LICENSE="GPL-2"
+SLOT="0/5.2.1" #copy ABI_VERSION because it seems upstream change it randomly
+IUSE=""
+
+RDEPEND=">=dev-libs/glib-2.18:2"
+DEPEND="${RDEPEND}
+       app-arch/xz-utils
+       >=dev-util/intltool-0.40
+       virtual/pkgconfig
+       sys-devel/gettext
+       !!<=x11-libs/libfm-1.2.3"
+
+S="${WORKDIR}"/${MY_P}
+
+src_prepare() {
+       sed -ie '/^SUBDIR.*=/s#docs##' "${S}"/Makefile.am || die "sed failed"
+       sed -ie '/^[[:space:]]*docs/d' configure.ac || die "sed failed"
+       sed -i -e "s:-O0::" -e "/-DG_ENABLE_DEBUG/s: -g::" \
+               configure.ac || die "sed failed"
+
+       #disable unused translations. Bug #356029
+       for trans in app-chooser ask-rename exec-file file-prop preferred-apps \
+               progress;do
+               echo "data/ui/"${trans}.ui >> po/POTFILES.in
+       done
+       #Remove -Werror for automake-1.12. Bug #421101
+       sed -i "s:-Werror::" configure.ac || die
+
+       # subslot sanity check
+       local sub_slot=${SLOT#*/}
+       local libfm_major_abi=$(sed -rne '/ABI_VERSION/s:.*=::p' 
src/Makefile.am | tr ':' '.')
+
+       if [[ ${sub_slot} != ${libfm_major_abi} ]]; then
+               eerror "Ebuild sub-slot (${sub_slot}) does not match 
ABI_VERSION(${libfm_major_abi})"
+               eerror "Please update SLOT variable as follows:"
+               eerror "    SLOT=\"${SLOT%%/*}/${libfm_major_abi}\""
+               eerror
+               die "sub-slot sanity check failed"
+       fi
+
+       eautoreconf
+       rm -r autom4te.cache || die
+       eapply_user
+}
+
+src_configure() {
+       econf --sysconfdir="${EPREFIX}/etc" --disable-dependency-tracking \
+               --disable-static --with-extra-only
+}
+
+src_install() {
+       default
+       find "${D}" -name '*.la' -exec rm -f '{}' +
+       # Sometimes a directory is created instead of a symlink. No idea why...
+       # It is wrong anyway. We expect a libfm-1.0 directory and then a libfm
+       # symlink to it.
+       if [[ -h ${D}/usr/include/${MY_PN} || -d ${D}/usr/include/${MY_PN} ]]; 
then
+               rm -r "${D}"/usr/include/${MY_PN}
+       fi
+}
+
+pkg_preinst() {
+       # Resolve the symlink mess. Bug #439570
+       [[ -d "${ROOT}"/usr/include/${MY_PN} ]] && \
+               rm -rf "${ROOT}"/usr/include/${MY_PN}
+       if [[ -d "${D}"/usr/include/${MY_PN}-1.0 ]]; then
+               cd "${D}"/usr/include
+               ln -s --force ${MY_PN}-1.0 ${MY_PN}
+       fi
+}
+
+pkg_postinst() {
+       xdg_mimeinfo_database_update
+}
+
+pkg_postrm() {
+       xdg_mimeinfo_database_update
+}

Reply via email to